$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64      = 'https://github.com/octobuild/octobuild/releases/download/1.2.0/octobuild-1.2.0-x86_64.msi'

$packageArgs = @{
    packageName   = $env:ChocolateyPackageName
    unzipLocation = $toolsDir
    fileType      = 'MSI'
    url64bit      = $url64

    softwareName  = 'Octobuild'

    checksum64    = 'C5C4F0CD53F508EEF1644EC4BCE2D59CCB6D0A9F6B3DFBF01BAB28E6B0B97ABB'
    checksumType64= 'sha256'

    silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
    validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
